http://ssm-incidents.{region}.amazonaws.com/createResponsePlanCreates a response plan that automates the initial response to incidents. A response plan engages contacts, starts chat channel collaboration, and initiates runbooks at the beginning of an incident.
The short format name of the response plan. Can't include spaces.
A list of tags that you are adding to the response plan.
The actions that the response plan starts at the beginning of an incident.
The Chatbot chat channel used for collaboration during an incident.
A token ensuring that the operation is called only once with the specified details.
The long format of the response plan name. This field can contain spaces.
The Amazon Resource Name (ARN) for the contacts and escalation plans that the response plan engages during an incident.
Information about third-party services integrated into the response plan.
Basic details used in creating a response plan. The response plan is then used to create an incident record.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/createResponsePlan' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://ssm-incidents.{region}.amazonaws.com/createResponsePlanCreates a response plan that automates the initial response to incidents. A response plan engages contacts, starts chat channel collaboration, and initiates runbooks at the beginning of an incident.
The short format name of the response plan. Can't include spaces.
A list of tags that you are adding to the response plan.
The actions that the response plan starts at the beginning of an incident.
The Chatbot chat channel used for collaboration during an incident.
A token ensuring that the operation is called only once with the specified details.
The long format of the response plan name. This field can contain spaces.
The Amazon Resource Name (ARN) for the contacts and escalation plans that the response plan engages during an incident.
Information about third-party services integrated into the response plan.
Basic details used in creating a response plan. The response plan is then used to create an incident record.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/createResponsePlan' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}